<?php
include('../common/parseargs.php');
include('../common/getObject.php');

$USAGE=" --id=<volumeid> [optionalparams: --name=<volumename> --desc=<volumedescription> --path=<volumepath> --quotatype=<quotatype> --softquota=<softquota> --hardquota=<hardquota> --disksafeids=<disksafeids> ]";

include('../common/basicargcheck.php');

if ($argc < 2) { 
	usage($argv[0],$USAGE);
	exit(1);
}


#arguments
$VOLID=$args_array['id'];
$VOLNAME=$args_array['name'];
$VOLDESC=$args_array['desc'];
$VOLPATH=$args_array['path'];
$VOLQUOTATYPE=$args_array['quotatype'];
$VOLSOFTQUOTA=$args_array['softquota'];
$VOLHARDQUOTA=$args_array['hardquota'];
$DISKSAFEIDS=$args_array['disksafeids'];


if(!$VOLID)
{
	echo "ERROR: --id=<volumeid> must be defined\n";
	usage($argv[0],$USAGE); 
	exit(1); 
}

$volumeObj = getVolume($USER,$PASS,$HOST,$PORT);

foreach($volumeObj->return as $tmp)
{
	if($tmp->id == $VOLID)
	{
		$volume = $tmp;
		break;
	}
}

if($VOLNAME)
{
	$volume->name = $VOLNAME;	
}

if($VOLDESC)
{
	$volume->description = $VOLDESC;
}

if($VOLPATH)
{
	$volume->path = $VOLPATH;
}

if($VOLQUOTATYPE)
{
	$volume->quotaType = $VOLQUOTATYPE;
}

if($VOLSOFTQUOTA)
{
	$volume->softQuota = $VOLSOFTQUOTA;
}

if($VOLHARDQUOTA)
{
	$volume->hardQuota = $VOLHARDQUOTA;
}

if($DISKSAFEIDS)
{
	$volume->diskSafeIDs = $DISKSAFEIDS;
}

try{
	$client = new soapclient("https://$HOST:$PORT/Volume?wsdl",
		array('login'=>"$USER", 
		'password'=>"$PASS",
		'trace'=>1,
		'classmap'=>array('Volume'=>'Volume')
		)
	);

	$client->updateVolume(array('volume'=>$volume));

	echo "Successfully executed updated volume: $VOLID\n";

} 
catch (SoapFault $exception)
{
	echo $exception;
}
?> 
